Bug 1178787 - Fedora 21 breaks main feature of Boxes
Summary: Fedora 21 breaks main feature of Boxes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 13:40 UTC by Zeeshan Ali
Modified: 2016-09-20 01:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 06:56:30 UTC
zali: needinfo-


Attachments (Terms of Use)
Screenshot #1 of the F22 WS netinstaller failure (239.39 KB, image/png)
2015-05-20 12:25 UTC, Zeeshan Ali
no flags Details
Screenshot #2 of the F22 WS netinstaller failure (124.49 KB, image/png)
2015-05-20 12:26 UTC, Zeeshan Ali
no flags Details
Working kickstart (2.01 KB, text/plain)
2015-05-20 13:03 UTC, Stephen Gallagher
no flags Details

Description Zeeshan Ali 2015-01-05 13:40:06 UTC
One of the key features of Boxes (https://wiki.gnome.org/Apps/Boxes) is unattended installation of Fedora (among a few other OSs). The typical use case was:

1. User goes to Fedora website and downloads the installation DVD of Fedora with the intention of setting it up in a VM.
2. User chooses the ISO from Boxes or launches Boxes for that ISO.
3. User clicks a few buttons and unattended installation is launched for them.
4. User comes back after a few minutes and finds a new Fedora VM all setup and ready to use.

Since with Boxes, the focus is on the desktop, the use case above would be expected to continue to work against Workstation variant of Fedora 21. However, that is sadly not the case and there is no not-very-hard way to fix this on my side.

For starters, users can't find any installer ISOs for Workstation anymore. While the server netiso could be used for installing workation,

1. Most users won't realize that because the ISO is not:
   a. advertised here: https://getfedora.org/en_GB/workstation/download/
   b. even available under: http://download.fedoraproject.org/pub/fedora/linux/releases/21/Workstation/

2. Would be very bad user experience if user has to download an ISO marked as 'server' to install workstation. Boxes could provide a menu to choose the variant to install from but that would require quite some work in underlying framework: libosinfo. But even then, it won't be the best user experience.

So it would be really nice if this situation could be fixed where it lies and Fedora either support kickstart in live ISOs (ideal), provide an installer DVD for workstation or, label and advertise netiso as generic installer.

Comment 1 Zeeshan Ali 2015-01-05 18:45:05 UTC
To make things even worse, the netiso has the exact same volume-id as the full install ISO of Server. :( This means that Boxes (libosinfo actually) can't simply recognise netiso differently and treat it as generic ISO. :(

Comment 2 Dennis Gilmore 2015-01-10 19:07:29 UTC
Both the DVD and netinst iso can be used as geenric installers.  you just need to enable the fedora repo on the DVD.

Comment 3 Zeeshan Ali 2015-01-20 00:39:00 UTC
(In reply to Dennis Gilmore from comment #2)
> Both the DVD and netinst iso can be used as geenric installers.  you just
> need to enable the fedora repo on the DVD.

Yeah but user experience is pretty horrible even if that is implemented. Users won't download Server ISOs for Boxes to install workstation for them.

Comment 4 Zeeshan Ali 2015-01-21 16:21:08 UTC
(In reply to Zeeshan Ali from comment #3)
> (In reply to Dennis Gilmore from comment #2)
> > Both the DVD and netinst iso can be used as geenric installers.  you just
> > need to enable the fedora repo on the DVD.
> 
> Yeah but user experience is pretty horrible even if that is implemented.
> Users won't download Server ISOs for Boxes to install workstation for them.

Ok since we don't have any better choices, I'll just go with this. Which repos do I need to add?

Comment 5 Dennis Gilmore 2015-01-26 16:09:47 UTC
you just need to enable the fedora repo.

Comment 6 Zeeshan Ali 2015-02-04 15:53:45 UTC
(In reply to Dennis Gilmore from comment #5)
> you just need to enable the fedora repo.

How exactly? I added this line to ks:

repo --name=fedora --baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/21/Everything/i386/os/

But anaconda still says that repo is not properly setup but then I give it the same URL manually and its all happy.

Comment 7 Alberto Ruiz 2015-02-10 14:25:18 UTC
Guys, I need to provision Workstation VMs in Fleet Commander and as long as this is broken I won't be able to get it to work.

Who do we need to get in touch with to get this fixed at the repo level?

Comment 8 Dennis Gilmore 2015-02-11 09:52:32 UTC
you need to add the everything repo as an additional repo, it is not an installer tree. you need to use the server tree for the --url line, then add the Everything tree to get the aditional content. we can not change what is shipped. so there will be no simple solution. and it can not be fixed under the hood so to speak.

Comment 9 Zeeshan Ali 2015-02-11 12:47:34 UTC
(In reply to Dennis Gilmore from comment #8)
> you need to add the everything repo as an additional repo, it is not an
> installer tree. you need to use the server tree for the --url line, then add
> the Everything tree to get the aditional content.

Can you please tell me how to translate that into a kickstart command(s)?

Comment 11 Zeeshan Ali 2015-02-12 12:56:24 UTC
(In reply to Dennis Gilmore from comment #10)
> repo --name=fedora
> --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-
> $releasever&arch=$basearch
> repo --name=updates
> --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-
> released-f$releasever&arch=$basearch
> url
> --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-install-
> $releasever&arch=$basearch

Thanks! I'll try those. I'll rename them though since with those names it complains that there is already repos defined with those names.

Comment 12 Zeeshan Ali 2015-02-13 13:28:32 UTC
(In reply to Zeeshan Ali from comment #11)
> (In reply to Dennis Gilmore from comment #10)
> > repo --name=fedora
> > --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-
> > $releasever&arch=$basearch
> > repo --name=updates
> > --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-
> > released-f$releasever&arch=$basearch
> > url
> > --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-install-
> > $releasever&arch=$basearch
> 
> Thanks! I'll try those. I'll rename them though since with those names it
> complains that there is already repos defined with those names.

Nope, i still have the same issue: Anaconda tells me to manually setup the repo.

Comment 13 Zeeshan Ali 2015-02-13 13:35:23 UTC
(In reply to Zeeshan Ali from comment #12)
> (In reply to Zeeshan Ali from comment #11)
> > (In reply to Dennis Gilmore from comment #10)
> > > repo --name=fedora
> > > --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-
> > > $releasever&arch=$basearch
> > > repo --name=updates
> > > --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-
> > > released-f$releasever&arch=$basearch
> > > url
> > > --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-install-
> > > $releasever&arch=$basearch
> > 
> > Thanks! I'll try those. I'll rename them though since with those names it
> > complains that there is already repos defined with those names.
> 
> Nope, i still have the same issue: Anaconda tells me to manually setup the
> repo.

An nevermind, I was supposed to remove the 'install' and 'cdrom' lines since in this case we are installing from url/net. Its working now.. Thanks.

Now I'll try to figure a way to handle this nicely and without too much changes in libosinfo..

Comment 14 Alberto Ruiz 2015-02-16 10:04:58 UTC
Considering that we screwed this up for Fedora 21, is there a plan to fix this for F22?

Comment 15 Zeeshan Ali 2015-05-08 12:29:43 UTC
So I have patches pending to libosinfo now that makes F21 express install working in Boxes (some Boxes changes needed too). I'm about to add support for F22 and I'm sure the same approach will work as is, however I see that netinst is still advertised and labeled as 'Server' for F22 beta on:

https://getfedora.org/en_GB/server/download/

Would we at least be changing that in Fedora? i-e to label and advertise netinst ISO as generic and offer them on 'Worstation' download page too?

Comment 16 Zeeshan Ali 2015-05-08 12:39:09 UTC
(In reply to Zeeshan Ali from comment #15)
> So I have patches pending to libosinfo now that makes F21 express install
> working in Boxes (some Boxes changes needed too). I'm about to add support
> for F22 and I'm sure the same approach will work as is, however I see that
> netinst is still advertised and labeled as 'Server' for F22 beta on:
> 
> https://getfedora.org/en_GB/server/download/

Actually correct URLs would be:

https://getfedora.org/en_GB/workstation/prerelease/
https://getfedora.org/en_GB/server/prerelease/

Comment 17 Zeeshan Ali 2015-05-08 13:17:28 UTC
Whether or not we'll fix what I asked for in previous comments, I'm hoping that at the very least we wont ship all ISOs with the same exact volume ID (as is the case now). :(

Comment 18 Paul W. Frields 2015-05-12 15:56:26 UTC
It's likely too late to change something like this while Test Candidates are rolling for Fedora 22 Final.  So I would not expect the volume IDs to change at this point.

However, I suggest getting fixes in now for Rawhide/F23 so we don't have to keep weird hacks in Boxes/libosinfo.  My recollection is this is probably unintended fallout from the Workstation WG opting to remove the separate installation DVD.  Also, I recall WG members specifically didn't want to advertise netinst.  So I'll first make sure they're aware of this bug and based on that discussion we can see how to solve with rel-eng.

Comment 19 Paul W. Frields 2015-05-14 13:19:48 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1180269#c4 is related to this as well, as far as the naming issue goes.

Comment 20 Zeeshan Ali 2015-05-20 12:25:59 UTC
Created attachment 1027701 [details]
Screenshot #1 of the F22 WS netinstaller failure

So it seems we have made the decision to produce and advertise WS ISO for F22. \o/ Although it seems the same script that make instation work for F21 fails on F22 WS ISO. Attached screenshot shows the first screen where it reports there is an error. I'll attach another of the repos screen.

Comment 21 Zeeshan Ali 2015-05-20 12:26:31 UTC
Created attachment 1027702 [details]
Screenshot #2 of the F22 WS netinstaller failure

Comment 22 Zeeshan Ali 2015-05-20 12:28:33 UTC
The repos are being setup as described in comment#10 above.

Comment 23 Zeeshan Ali 2015-05-20 12:34:24 UTC
(In reply to Zeeshan Ali from comment #20)
> Created attachment 1027701 [details]
> Screenshot #1 of the F22 WS netinstaller failure
> 
> So it seems we have made the decision to produce and advertise WS ISO for
> F22. \o/ 

"WS ISO" -> "WS netiso".

Comment 24 Stephen Gallagher 2015-05-20 13:03:36 UTC
Created attachment 1027720 [details]
Working kickstart

Zeeshan sent me his kickstart (attached) which I just used successfully to create a workstation VM with the RC1 netinst ISO.

I'm guessing he may have hit a momentary mirrormanager outage.

Comment 25 Zeeshan Ali 2015-05-20 22:27:35 UTC
(In reply to Stephen Gallagher from comment #24)
> Created attachment 1027720 [details]
> Working kickstart
> 
> Zeeshan sent me his kickstart (attached) which I just used successfully to
> create a workstation VM with the RC1 netinst ISO.
> 
> I'm guessing he may have hit a momentary mirrormanager outage.

Yeah, the issue was fixed soon after and it works now. Sorry for all the noise.

Comment 26 Fedora End Of Life 2015-11-04 10:15:02 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Fedora End Of Life 2015-12-02 06:56:34 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.